Debian DSA-1494-2 : linux-2.6 - missing access checks

High Nessus Plugin ID 31028

Synopsis

The remote Debian host is missing a security-related update.

Description

The vmsplice system call did not properly verify address arguments passed by user space processes, which allowed local attackers to overwrite arbitrary kernel memory, gaining root privileges (CVE-2008-0010, CVE-2008-0600 ).

In the vserver-enabled kernels, a missing access check on certain symlinks in /proc enabled local attackers to access resources in other vservers (CVE-2008-0163 ).

Solution

Upgrade the linux-2.6, fai-kernels, and user-mode-linux packages.

The old stable distribution (sarge) is not affected by this problem.

For the stable distribution (etch), this problem has been fixed in version 2.6.18.dfsg.1-18etch1.

In addition to these fixes, this update also incorporates changes from the upcoming point release of the stable distribution.

Some architecture builds were not yet available at the time of DSA-1494-1. This update to DSA-1494 provides linux-2.6 packages for these remaining architectures, as well as additional binary packages that are built from source code provided by linux-2.6.

See Also

https://security-tracker.debian.org/tracker/CVE-2008-0010

https://security-tracker.debian.org/tracker/CVE-2008-0600

https://security-tracker.debian.org/tracker/CVE-2008-0163

https://www.debian.org/security/2008/dsa-1494

Plugin Details

Severity: High

ID: 31028

File Name: debian_DSA-1494.nasl

Version: 1.20

Type: local

Agent: unix

Published: 2008/02/12

Updated: 2019/08/02

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.2

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:linux-2.6, cpe:/o:debian:debian_linux:4.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: true

Exploit Ease: Exploits are available

Exploitable With

CANVAS (CANVAS)

Core Impact

Reference Information

CVE: CVE-2008-0010, CVE-2008-0163, CVE-2008-0600

DSA: 1494

CWE: 20, 59, 94